Rotate a capability, keeping its grant
POST
/v1/capabilities/{id}/rotatePath parameters
idstringrequiredRequest body
application/jsongraceSecondsintegermax 9007199254740991
ttlSecondsintegermax 9007199254740991
Responses
201The rotated capability
capabilityIdstringrequiredmin length 1
tokenstringrequiredmin length 1
expiresAtstring<date-time> | anyrequiredShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyorganizationIdstringrequiredmin length 1
scopeobjectrequiredShow propertiesHide properties
organizationIdstringrequiredmin length 1
projectIdstring | anyrequireddefault: null
Show propertiesHide properties
Any of:
string
stringany
anybranchIdstring | anyrequireddefault: null
Show propertiesHide properties
Any of:
string
stringany
anybranchRootbooleanrequireddefault: false
syncGroupsstring[]requiredoperationsstring[]requiredparticipantKindstringrequiredAllowed:
useragentsystemparticipantIdstringrequiredmin length 1
rotatedFromobjectrequiredShow propertiesHide properties
capabilityIdstringrequiredmin length 1
expiresAtstring<date-time>requiredmatches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
400The request did not satisfy the published contract.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstring401The Bearer credential is missing, malformed, or expired.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstring403The credential does not authorize this operation.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstring404The addressed resource does not exist in the credential scope.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstring409The request conflicts with current claim, version, or idempotency state.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstring429The caller exceeded an enforced rate limit.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstring500The server could not complete the request.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstring503A required service is temporarily unavailable.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstringdefaultAn HTTP error not otherwise listed; decoded through the canonical envelope.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstringRequest
curl -X POST "https://api.abloatai.com/api/v1/capabilities/string/rotate" \
-H "Content-Type: application/json" \
-d '{
"graceSeconds": 0,
"ttlSeconds": 0
}'const response = await fetch("https://api.abloatai.com/api/v1/capabilities/string/rotate", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"graceSeconds": 0,
"ttlSeconds": 0
})
});import requests
response = requests.post(
"https://api.abloatai.com/api/v1/capabilities/string/rotate",
headers={
"Content-Type": "application/json"
},
json={
"graceSeconds": 0,
"ttlSeconds": 0
},
)Response
{
"capabilityId": "string",
"token": "string",
"expiresAt": "2024-01-01T00:00:00Z",
"organizationId": "string",
"scope": {
"organizationId": "string",
"projectId": null,
"branchId": null,
"branchRoot": false,
"syncGroups": [
"string"
],
"operations": [
"string"
],
"participantKind": "user",
"participantId": "string"
},
"rotatedFrom": {
"capabilityId": "string",
"expiresAt": "2024-01-01T00:00:00Z"
}
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}